unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  Buttons, StdCtrls, Spin, Menus, ComCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Edit1: TEdit;
    Image1: TImage;
    Images16: TImageList;
    Images22: TImageList;
    Label1: TLabel;
    Label2: TLabel;
    Label5: TLabel;
    MainMenu1: TMainMenu;
    MenuItem1: TMenuItem;
    MenuItem2: TMenuItem;
    MenuItem3: TMenuItem;
    MenuItem4: TMenuItem;
    MenuItem5: TMenuItem;
    MenuItem6: TMenuItem;
    SpeedButton1: TSpeedButton;
    SpinEdit1: TSpinEdit;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{$ifdef linux}
uses
  gtk2icontheme;
  
const
  IconNames: array[0..3] of string = (
    'gtk-new',
    'gtk-open',
    'gtk-close',
    'gtk-quit'
  );

{$endif}

{ TForm1 }

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
{$ifdef linux}
  Label5.Caption := GetIconFileName(Edit1.Text, SpinEdit1.Value);
  LoadBitmap(Edit1.Text, SpinEdit1.Value, clBtnFace, Image1.Picture.Bitmap);
  // Nicht hoch skalierbares Icon?
  if Image1.Picture.Bitmap.Width <> SpinEdit1.Value then
    SpinEdit1.Value := Image1.Picture.Bitmap.Width;
  LoadBitmap(Edit1.Text, GetIconRealSize(4), clBtnFace, BitBtn1.Glyph);
  LoadBitmap(Edit1.Text, GetIconRealSize(3), clBtnFace, SpeedButton1.Glyph);
{$endif}
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  OnActivate := nil;
{$ifdef linux}
  // Suchpfad für eigene Icons hinzufügen
  AddIconSearchPath(ExtractFilePath(ParamStr(0)) + 'images');
  // Icons des Menüs wechseln
  LoadImageList(Images16, clBtnFace, IconNames);
  // Icons der Toolbar wechseln
  LoadImageList(Images22, clBtnFace, IconNames);
  // Einzelnes Icon wechseln
  LoadBitmap('gtk-quit', GetIconRealSize(4), clBtnFace, BitBtn2.Glyph);
{$endif}
end;

initialization
  {$I Unit1.lrs}
  
end.

